Bug 509265 - rhel 5.4 beta 7/1 build, rhnreg_ks not updating package profile successfully
rhel 5.4 beta 7/1 build, rhnreg_ks not updating package profile successfully
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Milan Zázrivec
Jiri Kastner
Depends On:
  Show dependency treegraph
Reported: 2009-07-01 18:16 EDT by wes hayutin
Modified: 2010-03-30 04:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-30 04:44:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-07-01 18:16:23 EDT
Description of problem:

rhel 5.4 7/1 build

1. register rhel 5.4 to satellite 5.3
2. enable provisioning
3. create snapshot profile
4. install a package w/ dependencies
5. navigate to https://grandprix.rhndev.redhat.com/network/systems/details/history/snapshots/rollback.pxt?sid=1000013137&ss_id=3157

and you will see a rollback of about 210 packages are needed.  This is obviously not correct.  I rollback of a few packages, to be sure check the package dependencies of what was installed.

This is most likely due to the package profile not getting updated after rhn registration
Comment 1 wes hayutin 2009-07-01 18:18:45 EDT
fyi.. system was a x86_64 box
Comment 6 Milan Zázrivec 2009-12-14 05:59:37 EST
Same fix as described in https://bugzilla.redhat.com/show_bug.cgi?id=489901#c6
would apply for this bug.
Comment 13 errata-xmlrpc 2010-03-30 04:44:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.